XnDepthMetaData Struct Reference

`#include <XnTypes.h>`

## Public Attributes

XnMapMetaData * | pMap
const XnDepthPixel * | pData
XnDepthPixel | nZRes

## Detailed Description

Holds information about a frame of depth.

## Member Data Documentation

## nZRes

XnDepthPixel XnDepthMetaData::nZRes

The value of the Z resolution of this frame - the maximum depth a pixel can have.

## pData

const XnDepthPixel* XnDepthMetaData::pData

A pointer to the depth data of this frame.

## pMap

XnMapMetaData* XnDepthMetaData::pMap

A pointer to the map meta data of this frame.

The documentation for this struct was generated from the following file:

- XnTypes.h